#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
	
	
"""

from PyQt5.QtCore import QSettings

configApp = None

def init():
	
	global configApp

	iniConfig = "config/app.ini"
	configApp = QSettings(iniConfig, QSettings.IniFormat)		
    
def get( keysection, defaultvalue ) :
	global configApp
	
	if configApp.value(keysection) is not None:			
		return configApp.value(keysection)
		
	return defaultvalue

def getInt( keysection, defaultvalue ) :
	global configApp
	
	if configApp.value(keysection) is not None:			
		return int(configApp.value(keysection))
		
	return defaultvalue
	
def set( keysection, value ) :
	global configApp
	
	configApp.setValue(keysection, value)  
	configApp.sync()


def updatelist( keysection, value, maxval=5 ) :
	
	global configApp
	
	iniListValue = []
	
	iniListValue = configApp.value(keysection) 		
	
	if iniListValue is None :
		iniListValue = []

	for valueElem in iniListValue :
		if valueElem == value :
			iniListValue.remove(valueElem)		
		
	# Append new value at begining
	#if value not in iniListValue : 
	iniListValue.insert( 0, value )
	
	# Cut list
	if maxval is not None :
		iniListValue = iniListValue[0:maxval]

	# Write list
	configApp.setValue(keysection, iniListValue)  
	configApp.sync()

	'''
	print("---------------")
	print("setting updatelist : ")
	for elem in iniListValue : 
		print(elem)		
	print("---------------")
	'''
