#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
	
	
"""

from PyQt5 import QtCore
from PyQt5.QtWidgets import QMessageBox, QFileDialog, QMessageBox, QWidget, QLabel, QVBoxLayout, QPushButton
from PyQt5.QtWidgets import QDialog, QGridLayout, QCheckBox, QTextEdit, QLineEdit, QDialogButtonBox
from PyQt5.QtCore import Qt

#from lib.logmanager import LogManager,LOG_ARGVAL,LOG_INFO,LOG_INFOSETTING,LOG_WARNING,LOG_ERROR,LOG_DEBUG,LOG_FATAL
import lib.log as AppLog
from lib.log import LOG_ARGVAL,LOG_INFO,LOG_INFOSETTING,LOG_WARNING,LOG_ERROR,LOG_DEBUG,LOG_FATAL
	
from lib.util import Util
import lib.setting as AppSetting
                    
from lib.project import Project   


class SettingAppDialog(QDialog):
	
	super(TabbedDialog, self).__init__(parent)

	self.tabWidget = QTabWidget()
	self.tabWidget.tab1 = QWidget()
	self.tabWidget.tab2 = QWidget()
	self.tabWidget.tab3 = QWidget()

	self.tabWidget.addTab(self.tabWidget.tab1,"Tab 1")
	self.tabWidget.addTab(self.tabWidget.tab2,"Tab 2")
	self.tabWidget.addTab(self.tabWidget.tab3,"Tab 3")
	self.tab1UI()
	self.tab2UI()
	self.tab3UI()
	self.setWindowTitle("tab demo")

	# Here is the addition to the code.
	mainLayout = QVBoxLayout()
	mainLayout.addWidget(self.tabWidget)
	self.setLayout(mainLayout)

   def tab1UI(self):
      layout = QFormLayout()
      layout.addRow("Name",QLineEdit())
      layout.addRow("Address",QLineEdit())
      self.tabWidget.setTabText(0,"Contact Details")
      self.tabWidget.tab1.setLayout(layout)

   def tab2UI(self):
      layout = QFormLayout()
      sex = QHBoxLayout()
      sex.addWidget(QRadioButton("Male"))
      sex.addWidget(QRadioButton("Female"))
      layout.addRow(QLabel("Sex"),sex)
      layout.addRow("Date of Birth",QLineEdit())
      self.tabWidget.setTabText(1,"Personal Details")
      self.tabWidget.tab2.setLayout(layout)

   def tab3UI(self):
      layout = QHBoxLayout()
      layout.addWidget(QLabel("subjects")) 
      layout.addWidget(QCheckBox("Physics"))
      layout.addWidget(QCheckBox("Maths"))
      self.tabWidget.setTabText(2,"Education Details")
      self.tabWidget.tab3.setLayout(layout)
