#!/usr/bin/env python3
# -*- coding: utf-8 -*-

'''

		Généalogik

		Custom class for table : event.

		07/05/2021 20:13

		lvardon@laposte.net - 2021

		Licence libre

'''

import sys
import linecache

from libdb.event import EventsDb, Event

class Events ( EventsDb ):

	db = None

	def __init__(self, db ):
		super().__init__( db )
		self.db = db		

	# Custom selects
	def selectCustom( self, personId  ) :
		self.lastError = None
		self.lastInsertId = None
		self.selectCount = None
		resultlist = []
		try:
			resultrows = self.db.query( 'SELECT * FROM event where person_1_id = ?' , [ personId ])
			self.selectCount = len(resultrows)
			if	self.selectCount > 0 :
				for dbvalue in resultrows:

					print('FOUND EVENT' + str(dbvalue['id']))
					
					eventObj = Event( dbvalue['id'], dbvalue['name'], dbvalue['description'], dbvalue['private'], dbvalue['date_begin'], dbvalue['date_begin_accurate'], dbvalue['notesearch'], dbvalue['datecreated'], dbvalue['person_1_id'], dbvalue['person_2_id'], dbvalue['person_3_id'], dbvalue['eventtype_id'], dbvalue['place_id']  )
					resultlist.append( eventObj )

				return resultlist
			else :
				return False
		except Exception as e:
			self.lastError = str(e)
			self.PrintException()
		return False
		
		
		
