#!/usr/bin/python
# -*- coding: utf-8 -*-

'''

		Media Manager : http type

		07/07/2021 08:40

		lvardon@laposte.net - 2021

		Licence libre

'''

import os
from os.path import exists
import datetime

from PyQt5.QtGui import QImage, QPixmap

from lib.util import Util

class MediaTypeHttp( ):
	
	def __init__(self, fileName, tempDir = "temp", iconDir="libwidget/mediastype/icons" ):		
		self.fileName = fileName
		self.tempDir = tempDir
		self.iconDir = iconDir
		
	def getPixmap( self) :		
		
		fullFileTemp = os.path.join(self.iconDir, "http.png")				
		
		self.initFileInfo()
		self.iniMediaInfo()
		
		return self.getPixmapFromFile( fullFileTemp )
		
	def getPixmapFromFile( self, filename ) :
		self.image_qt = QImage(filename )
		self.pixmap = QPixmap.fromImage(self.image_qt)
		return self.pixmap
		
	def initFileInfo( self ) :
		pass
		
	def iniMediaInfo ( self) :		
		pass

	def getMetaInformationList( self ):
		rowMetas = {	
					'type'		: { 'value':"Http", 'lib':"Type", 'tooltip':"Lien de type http/https" } ,					
					'name' 		: { 'value':os.path.basename(self.fileName), 'lib': "Nom", 'tooltip' : "Nom du lien"  } 
					}
					
		return rowMetas
